<div class="">
    <div class="perfil">
        <div [hidden]="!appService.isLogged" class="back">
            <a routerLink="/home"><i class="fas fa-arrow-left"></i></a>
            <h3 class="title-3">Meus dados cadastrais</h3><br>
        </div> 
        
        <div class="row" id="collapse-cadastro">
            <div *ngIf="(!appService.isLogged && !cadastroConcluido) || (appService.isLogged)" class="col-md-12">
                <small id="passwordHelpInline" class="text-muted">
                    Os dados marcados com (*) são de preenchimento obrigatório.
                </small>
                <form [formGroup]="formCadastraParecerista" (ngSubmit)="onSubmit()">
                    <a class="" data-toggle="collapse" href="#dadosPessoais" role="button" aria-expanded="true" aria-controls="dadosPessoais"><h4 class="title-4">Dados Pessoais <span><i class="fas fa-sort-up"></i><i class="fas fa-sort-down"></i></span></h4></a>
                    <div class="form-row collapse multi-collapse show" id="dadosPessoais" data-parent="#collapse-cadastro">
                        <div class="col-md-6 mb-3">
                            <label for="full-name">Nome Completo*</label>
                            <fieldset [disabled]="!emailValido">
                            <input formControlName="nome" maxlength="90" type="text" class="form-control" id="full-name" placeholder="" [ngModel]='this.pareceristaExterno?.Nome' (ngModelChange)="this.pareceristaExterno?.Nome ? this.pareceristaExterno.Nome = $event : null" required></fieldset>
                        </div>
                        <div class="col-md-6 mb-3">
                            <label for="email">E-mail* <b>(use o mesmo e-mail que recebeu o link de confirmação.)</b></label>
                            <fieldset>
                            <input maxlength="90" formControlName="email" type="email" class="form-control" id="email" placeholder=""  (focusout)="validarEmailCadastro()" required maxlength="30" [(ngModel)]='this.pareceristaExterno.Email' ></fieldset>
                        </div>

                        <div class="col-md-4 mb-3">
                            <label for="genero">Gênero</label>
                            <fieldset [disabled]="!emailValido">
                                <select formControlName="sexo" class="custom-select"  [(ngModel)]='this.pareceristaExterno.Sexo'>
                                    <option selected>...</option>
                                    <option value="1">Femenino</option>
                                    <option value="2">Masculino</option>
                                    <option value="3">Não Informar</option>
                                </select>
                            </fieldset>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="rg">R.G.*</label>
                            <fieldset [disabled]="!emailValido">
                            <input formControlName="rg" type="text" class="form-control" id="rg" placeholder=""
                                mask="00/00/0000"[(ngModel)]='this.pareceristaExterno.Rg'></fieldset>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="cpf">CPF*</label>
                            <fieldset [disabled]="!emailValido">
                            <input formControlName="cpf" type="text" class="form-control" id="cpf" placeholder="" (focusout)="validaCPF()" [(ngModel)]='this.pareceristaExterno.Cpf'></fieldset>
                        </div>

                        <div class="col-md-4 mb-4">
                            <label for="pis-pasep">Número do PIS/PASEP*</label>
                            <fieldset [disabled]="!emailValido">
                            <input maxlength="20"  formControlName="pisPasep" type="text" class="form-control" id="pis-pasep"
                                placeholder="" [(ngModel)]='this.pareceristaExterno.PisPasep'></fieldset>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="tel-res">Telefone Residencial</label>
                            <fieldset [disabled]="!emailValido">
                            <input formControlName="telefone" type="tel" class="form-control" id="tel-res" placeholder=""
                                mask="[00]-[000]-[000]"  [(ngModel)]='this.pareceristaExterno.Telefone'></fieldset>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="cellphone">Celular*</label>
                            <fieldset [disabled]="!emailValido">
                            <input formControlName="celular" type="text" class="form-control" id="cellphone" placeholder="" [(ngModel)]='this.pareceristaExterno.Celular'></fieldset>
                        </div>
                    </div>

                    <a data-toggle="collapse" href="#endereco" role="button" aria-expanded="false" aria-controls="endereco"><h4 class="title-4">Endereço Preferencial para Correspondência <span><i class="fas fa-sort-up"></i><i class="fas fa-sort-down"></i></span></h4></a>
                    <div class="form-row collapse multi-collapse" id="endereco" data-parent="#collapse-cadastro">
                        <div class="col-md-4 mb-3">
                            <label for="state">Estado*</label>
                            <fieldset [disabled]="!emailValido">
                            <select formControlName="estado" class="custom-select" [(ngModel)]='this.pareceristaExterno.Estado' value='{{pareceristaExterno?.Estado}}'>
                                <option selected >Escolha o estado</option>
                                <option  *ngFor="let _uf of ufs"  value="{{_uf.Estado}}">{{_uf.Estado}}</option>
                            </select>
                        </fieldset>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="city">Cidade*</label>
                            <fieldset [disabled]="!emailValido">
                                <input formControlName="cidade" maxlength="80" type="text" class="form-control" id="cidade" placeholder="" [(ngModel)]='this.pareceristaExterno.Cidade'></fieldset>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="bairro">Bairro*</label>
                            <fieldset [disabled]="!emailValido">
                            <input formControlName="bairro" maxlength="80" type="text" class="form-control" id="bairro" placeholder="" [(ngModel)]='this.pareceristaExterno.Bairro'></fieldset>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="zip">CEP*</label>
                            <fieldset [disabled]="!emailValido">
                            <input (focusout)="procuraCep()" formControlName="cep" type="text" class="form-control" id="zip" placeholder="" [(ngModel)]='this.pareceristaExterno.Cep'></fieldset>
                        </div>

                        <div class="col-md-4 mb-3">
                            <label for="street">Rua*</label>
                            <fieldset [disabled]="!emailValido"><input maxlength="80"  formControlName="endereco" type="text" class="form-control" id="street" placeholder="" [(ngModel)]='this.pareceristaExterno.Endereco' ></fieldset>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="complemento">Complemento</label>
                            <fieldset [disabled]="!emailValido">
                            <input formControlName="complemento" type="text" class="form-control" id="complemento" maxlength="40"
                                placeholder="" [(ngModel)]='this.pareceristaExterno.Complemento'></fieldset>
                        </div>
                    </div>

                    <a data-toggle="collapse" href="#ensino" role="button" aria-expanded="false" aria-controls="ensino"><h4 class="title-4">Instituição de Ensino a Que Pertence <span><i class="fas fa-sort-up"></i><i class="fas fa-sort-down"></i></span></h4></a>
                    <div class="form-row collapse multi-collapse" id="ensino" data-parent="#collapse-cadastro">
                        <div class="col-md-4 mb-3">
                            <label for="unity">Unidade</label>
                            <fieldset [disabled]="!emailValido"><input maxlength="80"  formControlName="unidade" type="text" class="form-control" id="unity" placeholder="" [(ngModel)]='this.pareceristaExterno.Unidade'></fieldset>
                        </div>

                        <div class="col-md-4 mb-3">
                            <label for="course">Curso</label>
                            <fieldset [disabled]="!emailValido"><input maxlength="80"  formControlName="curso" type="text" class="form-control" id="course" placeholder="" [(ngModel)]='this.pareceristaExterno.Curso'></fieldset>
                        </div>

                        <div class="col-md-4 mb-3">
                            <label for="department2">Departamento</label>
                            <fieldset [disabled]="!emailValido"><input maxlength="80"  formControlName="departamento" type="text" class="form-control" id="department2"
                                placeholder="" [(ngModel)]='this.pareceristaExterno.Departamento'></fieldset>
                        </div>
                    </div>

                    <a data-toggle="collapse" href="#mestrado" role="button" aria-expanded="false" aria-controls="mestrado"><h4 class="title-4">Mestrado <span><i class="fas fa-sort-up"></i><i class="fas fa-sort-down"></i></span></h4></a>
                    <div class="form-row collapse multi-collapse" id="mestrado" data-parent="#collapse-cadastro">
                        <div class="inline col-md-12">
                            <div class="col-md-3 mb-3">
                                <label for="start-year-m">Ano de Início*</label>
                                <fieldset [disabled]="!emailValido">
                                <input formControlName="mestradoInicio" type="text" class="form-control" id="start-year-m"
                                    placeholder="" [(ngModel)]='this.pareceristaExterno.MestradoInicio' value='{{pareceristaExterno?.MestradoInicio | date: "yyyy"}}'></fieldset>
                            </div>
                            <div class="col-md-3 mb-3">
                                <label for="conclusion-year-m">Ano de Conclusão*</label>
                                <fieldset [disabled]="!emailValido">
                                <input (focusout)="validarMestrado()" formControlName="mestradoConclusao" type="text" class="form-control"
                                    id="conclusion-year-m" placeholder=""  [(ngModel)]='this.pareceristaExterno.MestradoConclusao'></fieldset>
                            </div>
                        </div>

                        <div class="col-md-12 mb-3">
                            <label for="title-m">Título da Dissertação</label>
                            <fieldset [disabled]="!emailValido">
                            <input  maxlength="100"  formControlName="tituloDissertacao" type="text" class="form-control" id="title-m"
                                placeholder="" [(ngModel)]='this.pareceristaExterno.TituloDissertacao'></fieldset>
                        </div>

                        <div class="col-md-4 mb-3">
                            <label for="institution-m">Instituição</label>
                            <fieldset [disabled]="!emailValido">
                            <input  maxlength="80"  formControlName="mestradoInstituicao" type="text" class="form-control" id="institution-m"
                                placeholder=""  [(ngModel)]='this.pareceristaExterno.MestradoInstituicao'></fieldset>
                        </div>

                        <div class="col-md-4 mb-3">
                            <label for="department-m">Departamento</label>
                            <fieldset [disabled]="!emailValido">
                            <input  maxlength="80"  formControlName="mestradoDepartamento" type="text" class="form-control" id="department-m"
                                placeholder="" [(ngModel)]='this.pareceristaExterno.MestradoDepartamento'></fieldset>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="advisor-m">Orientador</label>
                            <fieldset [disabled]="!emailValido">
                            <input  maxlength="80"  formControlName="mestradoOrientador" type="text" class="form-control" id="advisor-m"
                                placeholder="" [(ngModel)]='this.pareceristaExterno.MestradoOrientador'></fieldset>
                        </div>

                        
                    </div>

                    <a data-toggle="collapse" href="#doutorado" role="button" aria-expanded="false" aria-controls="doutorado"><h4 class="title-4">Doutorado <span><i class="fas fa-sort-up"></i><i class="fas fa-sort-down"></i></span></h4></a>
                    <div class="form-row collapse multi-collapse" id="doutorado" data-parent="#collapse-cadastro">
                        <div class="inline col-md-12">
                            <div class="col-md-3 mb-3">
                                <label for="start-year">Ano de Início*</label>
                                <fieldset [disabled]="!emailValido">
                                <input formControlName="doutoradoInicio" type="text" class="form-control" id="start-year"
                                    placeholder="" [(ngModel)]='this.pareceristaExterno.DoutoradoInicio' value='{{pareceristaExterno?.DoutoradoInicio | date:"yyyy"}}'></fieldset>
                            </div>
                            <div class="col-md-3 mb-3">
                                <label for="conclusion-year">Ano de Conclusão*</label>
                                <fieldset [disabled]="!emailValido">
                                <input (focusout)="validarDoutorado()" formControlName="doutoradoConclusao" type="text" class="form-control"
                                    id="conclusion-year" placeholder="" [(ngModel)]='this.pareceristaExterno.DoutoradoConclusao' value='{{pareceristaExterno?.DoutoradoConclusao | date:"yyyy"}}'></fieldset>
                            </div>
                        </div>

                        <div class="col-md-12 mb-3">
                            <label for="title">Título da Tese</label>
                            <fieldset [disabled]="!emailValido"><input maxlength="100"  formControlName="tituloTese" type="text" class="form-control" id="title" placeholder="" [(ngModel)]='this.pareceristaExterno.TituloTese'></fieldset>
                        </div>

                        <div class="col-md-4 mb-3">
                            <label for="institution">Instituição</label>
                            <fieldset [disabled]="!emailValido"><input maxlength="80"  formControlName="doutoradoInstituicao" type="text" class="form-control" id="institution"
                                placeholder="" [(ngModel)]='this.pareceristaExterno.DoutoradoInstituicao'></fieldset>
                        </div>

                        <div class="col-md-4 mb-3">
                            <label for="department">Departamento</label>
                            <fieldset [disabled]="!emailValido"><input maxlength="80"  formControlName="doutoradoDepartamento" type="text" class="form-control" id="department"
                                placeholder="" [(ngModel)]='this.pareceristaExterno.DoutoradoDepartamento'></fieldset>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="advisor">Orientador</label>
                            <fieldset [disabled]="!emailValido"><input maxlength="80"  formControlName="doutoradoOrientador" type="text" class="form-control" id="advisor"
                                placeholder="" [(ngModel)]='this.pareceristaExterno.DoutoradoOrientador'></fieldset>
                        </div>
                    </div>

                    <a data-toggle="collapse" href="#acessoria" role="button" aria-expanded="false" aria-controls="acessoria"><h4 class="title-4">Áreas em Que Pode Prestar Assessoria <span><i class="fas fa-sort-up"></i><i class="fas fa-sort-down"></i></span></h4></a>
                    <div class="form-row collapse multi-collapse" id="acessoria" data-parent="#collapse-cadastro">
                        <div class="col-md-6 mb-3">
                            <label for="area1"><span>Área 1</span></label>
                            <fieldset [disabled]="!emailValido"><input maxlength="80" type="text"  formControlName="area1" class="form-control" id="area1" placeholder="" [(ngModel)]='this.pareceristaExterno.Area1'></fieldset>
                        </div>
                        <div class="col-md-6 mb-3">
                            <label for="area2"><span>Área 2</span></label>
                            <fieldset [disabled]="!emailValido"><input maxlength="80" type="text"  formControlName="area2" class="form-control" id="area2" placeholder="" [(ngModel)]='this.pareceristaExterno.Area2'></fieldset>
                        </div>

                        <div class="col-md-6 mb-3">
                            <label for="area3"><span>Área 3</span></label>
                            <fieldset [disabled]="!emailValido"><input maxlength="80" type="text"  formControlName="area3" class="form-control" id="area3" placeholder="" [(ngModel)]='this.pareceristaExterno.Area3'></fieldset>
                        </div>
                        <div class="col-md-6 mb-3">
                            <label for="area4"><span>Área 4</span></label>
                            <fieldset [disabled]="!emailValido"><input maxlength="80" type="text"  formControlName="area4" class="form-control" id="area4" placeholder="" [(ngModel)]='this.pareceristaExterno.Area4'></fieldset>
                        </div>
                    </div>

                    <a data-toggle="collapse" href="#bancarios" role="button" aria-expanded="false" aria-controls="bancarios"><h4 class="title-4">Dados Bancários <span><i class="fas fa-sort-up"></i><i class="fas fa-sort-down"></i></span></h4></a>
                    <div class="form-row collapse multi-collapse" id="bancarios" data-parent="#collapse-cadastro">
                        <div class="col-md-3 mb-3">
                            <label for="bank">Banco*</label>
                            <fieldset [disabled]="!emailValido"><input maxlength="80" type="text"  formControlName="banco" class="form-control" id="bank" placeholder="" [(ngModel)]='this.pareceristaExterno.Banco'></fieldset>
                        </div>
                        <div class="col-md-3 mb-3">
                            <label for="code-bank">Código do Banco*</label>
                            <fieldset [disabled]="!emailValido"><input maxlength="10" type="text"  formControlName="codigoBanco" class="form-control" id="code-bank" placeholder="" [(ngModel)]='this.pareceristaExterno.CodigoBanco'></fieldset>
                        </div>
                        <div class="col-md-3 mb-3">
                            <label for="agency-code">Código da Agência (com dígito se houver)*</label>
                            <fieldset [disabled]="!emailValido"><input maxlength="10" type="text"  formControlName="codigoAgencia" class="form-control" id="agency-code" placeholder="" [(ngModel)]='this.pareceristaExterno.CodigoAgencia'></fieldset>
                        </div>
                        <div class="col-md-3 mb-3">
                            <label for="account-number">Número da conta (com dígito se houver)*</label>
                            <fieldset [disabled]="!emailValido"><input maxlength="25" type="text" formControlName="NumeroConta" class="form-control" id="account-number" placeholder="" [(ngModel)]='this.pareceristaExterno.NumeroConta'></fieldset>
                        </div>

                    </div>

                    <span>
                        <a data-toggle="collapse" href="#senha" role="button" aria-expanded="false" aria-controls="senha"><h4  class="title-4">Dados de Login <span><i class="fas fa-sort-up"></i><i class="fas fa-sort-down"></i></span></h4></a>
                        <div class="form-row collapse multi-collapse" id="senha" data-parent="#collapse-cadastro">
                            <div class="col-md-6 mb-3">
                                <label for="password-m">Senha*</label>
                                <fieldset [disabled]="!emailValido">
                                <input formControlName="senha" type="password" id="password-m" class="form-control" aria-describedby="passwordHelpInline" minlength="8" maxlength="20" ></fieldset>
                                <small id="passwordHelpInline" class="text-muted">
                                    Deve ter 8-20 caracteres.
                                </small>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="password">Confirmar a senha*</label>
                                <fieldset [disabled]="!emailValido">
                                <input formControlName="confirmarSenha" type="password" id="password" class="form-control"
                                    minlength="8" maxlength="20" (focusout)="validarSenha()"></fieldset>
                            </div>
                        </div>
                    </span>

                    <fieldset class="text-center"><button class="btn btn-link" type="submit">Cadastrar</button></fieldset>
                </form>
            </div>
        </div>

        <div *ngIf="!appService.isLogged && cadastroConcluido" class="col-md-12 mb-12">

            <span>Seu cadastro foi conluído, acesse sua área administratica: <a href="http://ict.unip.br/concurso-discentes-adm/parecerista-externo/">clique aqui</a></span>

        </div>

    </div>
</div>